# 

import WORDDocument
from ZClasses import createZClassForBase
 
createZClassForBase(WORDDocument.WORDDocument, globals(), 
  'ZWORDDocument', 'WORD Document')

def initialize(context):
	"Initialize the WORDDocument product"
	context.registerClass(
		WORDDocument.WORDDocument,
		permission='Add WORDDocuments',
		constructors=(
			WORDDocument.addWORDDocumentForm,
			WORDDocument.addWORDDocument,
		),
		icon="www/icon.gif"
	)


def PUT_factory( self, name, typ, body ):
	from OFS.Image import Image, File
	from OFS.DTMLDocument import DTMLDocument

	if typ == 'application/msword':
		ob = WORDDocument.WORDDocument('', __name__=name)
	elif typ in ('text/xml', 'text/plain'):
		ob = DTMLDocument('', __name__=name)
	elif typ[:6] == 'image/':
		ob = Image(name, '', body, content_type=typ)
	else:
		ob = File(name, '', body, content_type=typ)
	return ob

import webdav.NullResource
webdav.NullResource.NullResource._default_PUT_factory = PUT_factory

